import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceChainsGetCompanies = createAsyncThunk(
  "PROVINCE_CHAINS_GET_COMPANIES",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("chain-company/");
    dispatch(LOADING_END());
    return { data, status };
  }
);
